%define name atmel-firmware
%define version 1.3
%define release %mkrel 3
%define url http://www.thekelleys.org.uk/

Name:		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	Distributable
Group:		System/Kernel and hardware
URL: 		%{url}
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary: 	Firmware for Atmel at76c50x wireless network chips
BuildArch: 	noarch

%description
The drivers for Atmel at76c50x wireless network chipss in the
Linux 2.6.x kernel and at http://at76c503a.berlios.de/ do not 
include the firmware and this firmware needs to be loaded by 
the host on most cards using these chips. 
This package provides the firmware images which 
should be automatically loaded as needed by the hotplug system. It also 
provides a small loader utility which can be used to accomplish the 
same thing when hotplug is not in use. 

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p -m 755 $RPM_BUILD_ROOT/lib/firmware
cp images/* $RPM_BUILD_ROOT/lib/firmware
cp images.usb/* $RPM_BUILD_ROOT/lib/firmware

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING 
/lib/firmware/*.bin



%changelog
* Tue Sep 08 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.3-3mdv2010.0
+ Revision: 433202
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.3-2mdv2009.0
+ Revision: 241715
- rebuild
- import atmel-firmware


* Wed Aug  9 2006 Olivier Blin <oblin@mandriva.com> 1.3-1mdv2007.0
- 1.3
- install in /lib/firmware
- remove old PCMCIA configuration and hack
- don't package atmel_fwl, it's unused and this package is noarch
- remove hardcoded packager and prefix tags
- fix summary ended with dot
- drop hotplug requires

* Mon Sep 13 2004 Nicolas Planel <nplanel@mandrakesoft.com> 1.1-1mdk
- 1.1.

* Mon Feb 16 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.7-1mdk
- First version for Mandrake Linux distribution
